set -ex
(
	echo 'digraph G {'
	echo 'edge[tailport=e]'
	echo 'graph [layout=dot rankdir=LR splines=false ranksep=1]'

	for i in $(s6-rc-db list all); do
		if [ "$(s6-rc-db type $i)" = "bundle" ]; then
			for j in $(s6-rc-db contents $i); do
				printf '"%s" -> "%s"\n' "$j" "$i"
			done
		else
			for j in $(s6-rc-db dependencies $i); do
				printf '"%s" -> "%s"\n' "$j" "$i"
			done
		fi
	done | sort | uniq

	echo '}'
) | grep -v 's6rc' > boot.gv
